#ifndef OSK_H
#define OSK_H

#include <pspctrl.h>


#ifdef __cplusplus
extern "C" {
#endif

#include "./../graphics.h"
#include "./../framebuffer.h"


/*Image Files*/
#include "./img/image_osk_keys.h"
#include "./img/image_osk_keys_c.h"
#include "./img/image_osk_keys_s.h"
#include "./img/image_osk_keys_s_c.h"
#include "./img/image_osk_nums.h"
#include "./img/image_osk_nums_c.h"
#include "./img/image_osk_nums_s.h"
#include "./img/image_osk_nums_s_c.h"

void osk_load(void);
void osk_free(void);

int osk_readInput(SceCtrlData pspctrl);

void osk_setXY(int x, int y);

void osk_render(void);


#ifdef __cplusplus
}
#endif

#endif
